
Application: gvSIG desktop - gvSIG bugs #479
Comparaciones de DefaultFeatureReference
03/28/2012 05:52 PM - Ignacio Brodín

Status: Closed % Done: 100%
Priority: Urgent Spent time: 0.00 hour
Assignee: Cesar Ordiñana
Category: Vector editing
Target version: 2.0.0-alpha5
Severity: Add-on version:
gvSIG version: 2.0.0 Add-on build:
gvSIG build: 2045 Add-on resolve version:
Operative System: Add-on resolve build:
Keywords: Proyecto:
Has patch: Yes Hito:
Add-on name: Unknown
Description

El bug puede ser reproducido accediendo a una BBDD poniendo una tabla con geometrías y que tenga PK en edición, añadiendo una
geometría de tipo línea y sin terminar sesión de edición intentar borrar la misma geometría que se ha añadido con el botón Supr. Esto
hace que se utilice el método equals de DefaultFeatureReference.

Cuando se comparan referencias (método equals en DefaultFeatureReference) en las que la primera tiene pk y la segunda oid da un
NullPointerException.

Associated revisions
Revision 38106 - 04/12/2012 10:03 AM - Cesar Ordiñana

Solve error when two references are compared with equals, one of them with PKs and the other one with OID.
This is the patch from the bug #479 with some small changes to follow the gvSIG coding conventions.
Fixes #479 .

History
#1 - 04/06/2012 07:47 PM - Manuel Madrid
- Priority changed from High to Urgent

#2 - 04/12/2012 03:33 PM - Cesar Ordiñana
- Status changed from New to In progress
- Assignee set to Cesar Ordiñana
- gvSIG build set to 2045

#3 - 04/12/2012 04:01 PM - Cesar Ordiñana

Patch applied and tested, with some small changes taking into account the gvSIG coding conventions.

#4 - 04/12/2012 04:03 PM - Cesar Ordiñana
- Status changed from In progress to Fixed
- % Done changed from 0 to 100
Applied in changeset r38106.

#5 - 06/28/2012 02:03 PM - María Maluenda
- Status changed from Fixed to New

Checked in gvSIG build 2049

#6 - 06/29/2012 09:46 AM - María Maluenda
- Status changed from New to Closed

Closed in the gvSIG build 2049

#7 - 06/29/2012 10:20 AM - Joaquín  del Cerro Murciano
- Status changed from Closed to Under review

#8 - 07/04/2012 05:17 PM - Cesar Ordiñana

This ticket has been changed from closed to under review by error perhaps?

#9 - 08/29/2012 01:55 PM - Joaquín  del Cerro Murciano
- Status changed from Under review to Closed

Files
DefaultFeatureReference.patch 700 Bytes 03/28/2012 Ignacio Brodín
